<?php

namespace Drupal\testsuite\Tests;

use Drupal\Core\StringTranslation\StringTranslationTrait;
use Drupal\testsuite\TestInterface;
use Drupal\testsuite\TestBase;
use Symfony\Component\HttpFoundation\Request;

class CheckFor404Errors extends TestBase implements TestInterface {
    use StringTranslationTrait;

    private $_moduleName = "";

    private $_menuName = "System";

    private $_name = "Check For 404 Errors";

    private $_description = "Checks watchdog database for 404 errors.";

    public function getModuleName() {
        return $this->_moduleName;
    }

    public function getMenuName() {
        return $this->_menuName;
    }

    public function getName() {
        return $this->_name;
    }

    public function getDescription() {
        return $this->_description;
    }

    public function runTest(Request $request)
    {
        $count = \Drupal::database()->select('watchdog', 'w')
        ->fields('w', array('wid'))
        ->condition('type', 'page not found')
        ->countQuery()
        ->execute()
        ->fetchField();
        if($count == 0) return t('Test Passed');
        else return t('You have 404 errors. Please go to <a href="@page-not-found">Top page not found errors</a> to view them.', array(
            '@page-not-found' => '/admin/reports/page-not-found',
        ));
    }
}