<?php

namespace Drupal\Tests\testsuite\Functional;

use Drupal\Core\Form\FormState;
use Drupal\Core\Url;
use Drupal\language\Entity\ConfigurableLanguage;
use Drupal\Tests\BrowserTestBase;
use Drupal\tmgmt\Entity\Translator;
use Drupal\tmgmt\JobInterface;
use Drupal\tmgmt\JobItemInterface;
use Drupal\tmgmt\TranslatorInterface;
use Drupal\tmgmt_microsoft\MicrosoftTranslatorUi;
use Drupal\tmgmt_microsoft\Plugin\tmgmt\Translator\MicrosoftTranslator;
use GuzzleHttp\Exception\BadResponseException;
use Psr\Http\Message\ResponseInterface;

/**
 * Basic tests for the Microsoft translator.
 *
 * @group tmgmt_microsoft
 */
class TestSuiteBasicTest extends BrowserTestBase {

  /**
   * A tmgmt_translator with a server mock.
   *
   * @var \Drupal\tmgmt\Entity\Translator
   */
  protected $translator;

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'tmgmt',
    'tmgmt_test',
    'tmgmt_microsoft',
    'tmgmt_microsoft_test',
    'node',
    'block',
    'locale',
  ];

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * A user with permission to administer site configuration.
   *
   * @var \Drupal\user\UserInterface
   */
  protected $adminUser;

  /**
   * {@inheritdoc}
   */
  /* protected function setUp(): void {
    parent::setUp();
    $this->user = $this->drupalCreateUser([
      'administer site configuration',
      'administer languages',
      'access administration pages',
      'administer content types',
      'administer tmgmt',
    ]);
    $this->drupalLogin($this->user);
  } */

  /**
   * Checks if an admin user can access to the configuration page.
   */
  public function testHumansTxtAdminAccess() {
    // Build initial paths.
    $testsuite_config = Url::fromRoute('testsuite.admin_settings', [], ['absolute' => FALSE])->toString();

    // Create user for testing.
    $this->adminUser = $this->drupalCreateUser(['administer testsuite']);

    // Login for the former admin user.
    $this->drupalLogin($this->adminUser);

    // Access to the path of testsuite config page.
    $this->drupalGet($testsuite_config);

    // Check the response returned by Drupal.
    $this->assertResponse(200);
  }
}
